Release Dates
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/release_dates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/release_dates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/release_dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/release_dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/release_dates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/release_dates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/release_dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"results": [
{
"iso_3166_1": "AE",
"release_dates": [
{
"certification": "",
"descriptors": [],
"iso_639_1": "",
"note": "Blu-ray",
"release_date": "2009-11-23T00:00:00.000Z",
"type": 5
}
]
},
{
"iso_3166_1": "AR",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-04T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "AU",
"release_dates": [
{
"certification": "R 18+",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-11T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BE",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-10T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BG",
"release_dates": [
{
"certification": "c",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2012-08-28T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BR",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-10-29T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CA",
"release_dates": [
{
"certification": "18A",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-10-15T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CH",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "fr",
"note": "",
"release_date": "1999-11-10T00:00:00.000Z",
"type": 3
},
{
"certification": "18",
"descriptors": [],
"iso_639_1": "de",
"note": "",
"release_date": "1999-11-04T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CZ",
"release_dates": [
{
"certification": "18+",
"descriptors": [],
"iso_639_1": "",
"note": "Febio Film Festival",
"release_date": "2000-01-25T00:00:00.000Z",
"type": 1
},
{
"certification": "18+",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2000-02-10T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "DE",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-11T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "DK",
"release_dates": [
{
"certification": "15",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-05T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "EE",
"release_dates": [
{
"certification": "",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2000-01-07T00:00:00.000Z",
"type": 3
}
]
}
]
}MOVIES
Release Dates
This endpoint is used to get the release dates and certifications for a movie.
GET
/
movie
/
{movie_id}
/
release_dates
Release Dates
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/release_dates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/release_dates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/release_dates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/release_dates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/release_dates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/release_dates")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/release_dates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"results": [
{
"iso_3166_1": "AE",
"release_dates": [
{
"certification": "",
"descriptors": [],
"iso_639_1": "",
"note": "Blu-ray",
"release_date": "2009-11-23T00:00:00.000Z",
"type": 5
}
]
},
{
"iso_3166_1": "AR",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-04T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "AU",
"release_dates": [
{
"certification": "R 18+",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-11T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BE",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-10T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BG",
"release_dates": [
{
"certification": "c",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2012-08-28T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "BR",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-10-29T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CA",
"release_dates": [
{
"certification": "18A",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-10-15T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CH",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "fr",
"note": "",
"release_date": "1999-11-10T00:00:00.000Z",
"type": 3
},
{
"certification": "18",
"descriptors": [],
"iso_639_1": "de",
"note": "",
"release_date": "1999-11-04T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "CZ",
"release_dates": [
{
"certification": "18+",
"descriptors": [],
"iso_639_1": "",
"note": "Febio Film Festival",
"release_date": "2000-01-25T00:00:00.000Z",
"type": 1
},
{
"certification": "18+",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2000-02-10T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "DE",
"release_dates": [
{
"certification": "18",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-11T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "DK",
"release_dates": [
{
"certification": "15",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "1999-11-05T00:00:00.000Z",
"type": 3
}
]
},
{
"iso_3166_1": "EE",
"release_dates": [
{
"certification": "",
"descriptors": [],
"iso_639_1": "",
"note": "",
"release_date": "2000-01-07T00:00:00.000Z",
"type": 3
}
]
}
]
}| Release | Type |
|---|---|
| Premiere | 1 |
| Theatrical (limited) | 2 |
| Theatrical | 3 |
| Digital | 4 |
| Physical | 5 |
| TV | 6 |